# frozen_string_literal: true

module Bulkrax
  module CrcFolderFileSetEntryBehavior
    def validate_existence_of_file
      parsed_metadata['file'].each_with_index do |file_path, i|
        next if file_path.blank?

        parsed_metadata['file'][i] = file_path
      end
      parsed_metadata['file'].delete('')

      raise ::StandardError, "one or more file paths are invalid: #{parsed_metadata['file'].join(', ')}" unless parsed_metadata['file'].map { |file_path| ::File.file?(file_path) }.all?

      parsed_metadata['file']
    end

    def validate_presence_of_filepath!
      return if parsed_metadata&.[]('file')&.map(&:present?)&.any?

      raise StandardError, 'File set must have a filepath'
    end
  end
end